跳到主要内容

发行系列结算分页查询

返回某一发行系列的每日结算(结算各阶段的份额价值和净资产),分页返回,并按会计日期从最近到最早排序。

Request​

ENDPOINT
/quota/fund_class/{fund_class_key}/sub_class/{sub_class_key}/issuance_serie/{issuance_serie_key}/issuance_serie_closings
MÉTODO
GET
STATUS
200

Path params​

参数类型描述
fund_class_keystring基金类别的唯一标识(UUID)。
sub_class_keystring该系列所属子类别的唯一标识(UUID)。
issuance_serie_keystring发行系列的唯一标识(UUID)。

这些标识可通过 发行系列分页查询 获取。

Query params​

参数类型必填描述
accounting_datestring(日期)条件必填指定结算的会计日期(YYYY-MM-DD)。
from_datestring(日期)条件必填区间的起始会计日期(YYYY-MM-DD),须与 to_date 一起传入。
to_datestring(日期)条件必填区间的结束会计日期(YYYY-MM-DD),须与 from_date 一起传入。
statusstring否以逗号分隔的结算状态列表。pending_distribution:返回指数挂钩系列在基金尚未结算之日的份额价值。closed:返回已完成的结算。不传该参数时,仅返回已计算出总份额价值的结算。
pageinteger否页码(从 0 开始),默认 0。
limitinteger否每页记录数,默认 50,最大 500。
注意

必须传入 accounting_date,或同时传入 from_date 和 to_date。若都未传入,接口将返回缺少必填参数的错误。

请求示例
GET /quota/fund_class/{fund_class_key}/sub_class/{sub_class_key}/issuance_serie/{issuance_serie_key}/issuance_serie_closings?from_date=2026-09-29&to_date=2026-09-30&page=0&limit=50

Response​

Response Body
{
"data": [
{
"gross_quota_value": 1250.0,
"gross_net_worth": 1250000.0,
"accounting_date": "2026-09-30",
"status": "closed",
"before_amortization_quota_value": 1248.5,
"before_amortization_net_worth": 1248500.0,
"quota_value": 1248.5,
"total_net_worth": 1248500.0,
"closed_net_worth": 1248500.0,
"closed_quota_value": 1248.5,
"performance_fee_current_value": 1500.0
},
{
"gross_quota_value": 1249.1,
"gross_net_worth": 1249100.0,
"accounting_date": "2026-09-29",
"status": "closed",
"before_amortization_quota_value": 1247.7,
"before_amortization_net_worth": 1247700.0,
"quota_value": 1247.7,
"total_net_worth": 1247700.0,
"closed_net_worth": 1247700.0,
"closed_quota_value": 1247.7,
"performance_fee_current_value": 1400.0
}
],
"limit": 50,
"page": 0,
"is_last_page": true
}

响应字段​

字段类型描述
dataarray该系列的结算列表,按会计日期从最近到最早排序。
limitinteger每页大小。
pageinteger当前页码。
is_last_pageboolean是否为最后一页。

data 中每条结算的字段​

字段类型描述
accounting_datestring结算的会计日期(YYYY-MM-DD)。
gross_quota_valuefloat总份额价值,扣除业绩报酬之前。
gross_net_worthfloat总净资产,扣除业绩报酬之前。
statusstring结算状态(例如 pending_distribution、closed)。
before_amortization_quota_valuefloat扣除业绩报酬之后、摊还之前的份额价值。
before_amortization_net_worthfloat扣除业绩报酬之后、摊还之前的净资产。
quota_valuefloat当日最终份额价值,摊还之后。
total_net_worthfloat当日最终净资产,摊还之后。
closed_quota_valuefloat结算锁定的份额价值。
closed_net_worthfloat结算锁定的净资产。
performance_fee_current_valuefloat已计提的业绩报酬金额。

可能的错误​

STATUS
400
缺少日期参数
{
"title": "Missing some query params",
"description": "The following parameters are required: [['from_date', 'to_date'], 'accounting_date']",
"translation": "Os seguintes parâmetros são necessários: [['from_date', 'to_date'], 'accounting_date']",
"code": "QTA000026"
}
STATUS
404
未找到基金类别
{
"title": " Fund Class not Found",
"description": "Fund Class with key {fund_class_key} was not found.",
"translation": "A classe com chave {fund_class_key} não foi encontrado.",
"code": "QTA000002"
}